@media screen and (max-width :1200px) and (min-width: 961px) {

  .btn-group__content::before,
  .btn-group__content::after {
    display: none;
  }

  .btn-group__content span {
  font-size: 24px;
  }
	
	.home_zoneA::before {width: 320px;}
}

@media screen and (max-width: 1200px) {

  .region--hero {
    display: flex !important;
    flex-direction: column !important;
    gap: 20px;
    padding: 0;
    width: 100%;
  }

  .path-frontpage .region--hero::before {
    z-index: 0;
  }

  .contact_info .logo_right {
    display: none;
  }

  .template-C ul {
    grid-template-columns: repeat(3, 1fr);
    gap: 2%;
  }

  /* language */
  #lang ul li a {
    display: flex;
    align-items: center;
  }

  #lang {
    position: absolute;
    bottom: 0;
    right: 0;
    transform: translateY(100%);
    z-index: 0;
  }

  #lang ul li a {
    padding: 5px 30px;
    border-radius: 0;
  }

  #lang ul li a::before {
    width: 30px;
    height: 30px;
    transform: none;

    margin: 0 auto 10px auto;
  }

  #lang ul li a:hover {
    padding-right: 30px;
    background: #FFD740;
  }

  /* button group  */
  .btn-group__list {
    flex-direction: row;
    align-items: center;width: 100%;
  }


  ul#main-menu li a {
    font-size: 17px;
  }
	
	#login_area { display: none}	
	.title_eclass {position: relative;margin: -25px 110px 0px 0px;}
	#eclass_w { display:none !important}
#eclass_m { display:block !important}
	.path-frontpage .region--hero {padding: 50px 0 100px 0;}
}

@media screen and (max-width: 960px) {

  .path-frontpage .region--hero::before {
    z-index: 0;
  }

  html,
  body {
    font-size: 16px;
    line-height: 28px;
  }

  .screen {
    padding: 0 15px;
    max-width: none;
    width: 100%;
  }

  #header {
    position: relative;
    min-height: 50px;
    z-index: 10
  }

  .menu_arrow ul::before {
    display: none;
  }

  .right_top {
    margin-right: 10px;
    width: auto;
    margin-left: auto
  }

  .main-menu-btn {
    float: right;
    margin: 0px 10px;
    position: relative;
    display: inline-block;
    width: 50px;
    height: 50px;
    text-indent: 50px;
    white-space: nowrap;
    overflow: hidden;
    background: var(--main-color);
    border-radius: 8px;
    cursor: pointer;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  }

  #main-menu {
    position: fixed !important;
    top: 0;
background: var(--main-color) !important;
    padding: 30px 10px;
    bottom: 0;
    width: 100%;
    transition: all 0.5s ease-in-out;
    max-width: 280px;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    z-index: 12;
    transform: translateX(-100%);
  }

  #menu-mask {
    display: none;
    /* 默认不显示 */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* 黑色半透明 */
    z-index: 2;
    /* 确保遮罩层位于其他内容上方 */
  }

  .site-branding {
    min-height: auto;
    margin: 0 10px 0 10px;
    padding: 0;
  }

  .title,
  .blocktitle,
  .sch_highlights b,
  #banner_title h1,
  .banner_title h1 {
    font-weight: 350;
    margin: 15px 0;
    font-size: 26px;
    line-height: 32px;
  }

  .boxing .title {
    font-weight: 350;
    margin: 15px 0;
    font-size: 21.5px;
    line-height: 26px;
  }

  .sch_highlights .title::before {
    top: 23px;
  }

  .sch_highlights {
    padding: 20px 0
  }

  .sch_highlights ul {
    padding: 15px 0;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  .bg_god_msg {
    padding: 0
  }

  .bg_god_msg .contents {
    width: calc(100% - 0px);
    margin: 30px 0%;
    padding: 15px;
  }

  ul#main-menu li a {
color: #333;
    background: #fff;
    text-align: left;
    padding: 15px; align-items: flex-start;
  }

  ul#main-menu li a:hover,
  ul#main-menu li a:focus,
  ul#main-menu li a:active {
    background: rgba(255, 255, 255, 0.1) !important;
    color: #fff;
  }

  ul#main-menu ul {
    background: rgba(0, 0, 0, 0.25) !important;
    border: 0 !important;
  }

  ul#main-menu ul li a {
    border-top: 1px solid rgba(255, 255, 255, 0.1) !important;
    color: #fff !important;
  }

  ul#main-menu ul li a:hover,
  ul#main-menu ul li a:focus,
  ul#main-menu ul li a:active {
    background: rgba(255, 255, 255, 0.2) !important;
    color: #fff !important;
  }

  #main-menu.open {
    transform: translateX(0);
  }


  #block_latest-news {
    padding: 20px 0 50px 0;
  }

  .main-menu-btn {
    order: 1;
  }

  .more-link a {
    font-size: 16px;
    line-height: 24px;
    padding:  10px 30px;
  }

  .more-link a:hover {
    padding: 10px 40px;
  }

  .cd-top {
    right: 0;
    bottom: 0;
  }

  .slider-slogan {
    bottom: 10%;
  }

  .slider-slogan .slogan_text {
    font-size: 1.45em;
    padding: 0.45em;
    line-height: 1.6em;
  }

  .breadcrumb__content {
    margin: 0;
    padding: 10px 0;
  }

  .breadcrumb::after {
    display: none
  }

  .Block_A ul {
    grid-template-columns: repeat(1, 1fr);
    gap: 2%;
  }

  .template-A ul {
    grid-template-columns: repeat(2, 1fr);
    gap: 2%;
  }

  .template-B ul {
    grid-template-columns: repeat(2, 1fr);
    gap: 2%;
  }

  .template-C ul {
    grid-template-columns: repeat(2, 1fr);
    gap: 2%;
  }


  h1 {
    font-size: 30px;
    line-height: 38px;
  }

  h2 {
    font-size: 26px;
    line-height: 34px;
  }

  h3 {
    font-size: 21px;
    line-height: 30px;
  }

  h4 {
    font-size: 21px;
    line-height: 30px;
  }

  h5 {
    font-size: 21px;
    line-height: 30px;
  }

  h6 {
    font-size: 21px;
    line-height: 30px;
  }

  #block-sidebar-nav h2 {
    padding: 15px 0
  }

  #main_content {
    width: 100%
  }

  #sidebar-nav {
    width: 100%
  }

  .view-more,
  .view-more2 {
    padding: 40px 0 0 0;
  }

  .useful-links ul {
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  footer .copyright,
  footer .power {
    text-align: center;
    width: 100%;
    float: none;
  }

  footer {
    padding: 30px 0
  }

  .list-item .content {
    flex-direction: column;
  }

  .list-item .content b {
    text-align: center
  }

  .contact_info ul li {
    margin: 0
  }

  .contact_info ul li+li,.contact_info ul li+li+li {
    width: 100%;
  }

  .contact_info ul ul li+li {
    width: auto;
  }

  .contact_area::before {
    display: none
  }

  .contact_area {
    padding: 20px 0;
    padding-bottom: 50px;
  }

  .contact_info {
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    padding: 0 15px;
    position: relative;
  }

  .contact_info .logo-mask {
    width: 100%;
  }

  .contact_info>ul {
    margin: 0 0 0 0;
    padding-left: 0;
    width: 100%; padding:0;
  }

  .contact_info ul li {
    margin: 10px 0;
    text-align: left;
    display: flex;
    align-items: flex-start;
  }

  .contact_info ul li span {
    margin-bottom: 5px;
    background: url(../images/web/icon_address.png) no-repeat left center;
    background-size: 24px 24px;
    padding: 0 0 0 34px;
    min-width: auto;
    display: inline-block;
    vertical-align: middle;
  }

  .contact_info ul li+li span {
    background: url(../images/web/icon_tel1.png) no-repeat left center;
    background-size: 24px 24px;
    padding: 0 0 0 34px;
    min-width: auto;
  }

  .contact_info ul li+li+li span {
    background: url(../images/web/icon_fax.png) no-repeat left center;
    background-size: 24px 24px;
    padding: 0 0 0 34px;
    min-width: auto;
  }

  .contact_info ul li+li+li+li span {
    background: url(../images/web/icon_email.png) no-repeat left center;
    background-size: 24px 24px;
    padding: 0 0 0 34px;
    min-width: auto;
  }

  .contact_info ul li br {
    display: none;
  }

  .contact_info ul li:first-child>span+br+span {
    margin-left: 0;
    margin-top: 5px;
  }

  .contact_info .logo_right {
    margin-bottom: 0;
    order: unset;
    position: absolute;
    bottom: 0;
    right: 15px;
    width: 100px;
    height: auto;
    z-index: 1;
  }

  .contact_info .logo_right img {
    display: none;
  }

  .contact_links {
    width: 100%;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
    padding-left: 0;
    margin-top: 20px;
    display: flex;
    position: relative;
    padding-right: 100px;
  }

  .contact_links .btn {
    flex: 0 0 50%;
    font-size: 12px;
    padding: 8px 5px;
  }

  .Block_A ul {
    grid-template-columns: repeat(1, 1fr);
    gap: 2%;
  }

  .slider-slogan {
    bottom: 0;
  }

  .slider-slogan .slogan_text {
    font-size: 1.4em;
    padding: 0.25em;
    line-height: 1.6em;
  }

  #block-olivero-breadcrumbs {
    margin: 0
  }

  .sitemap-item ul {
    grid-template-columns: repeat(1, 1fr);
    gap: 15px;
  }


  .template-A ul {
    grid-template-columns: repeat(1, 1fr);
    gap: 2%;
    display: list-item;
    padding-bottom: 50px;
  }

  .template-B ul {
    grid-template-columns: repeat(1, 1fr);
    gap: 2%;
    display: list-item;
    padding-bottom: 50px;
  }

  .template-C ul {
    grid-template-columns: repeat(1, 1fr);
    gap: 2%;
    display: list-item;
    padding-bottom: 50px;
  }

  .news-card a {
    overflow: hidden;
    display: block;
  }

  .region--breadcrumb {
    margin: 0;
    padding: 0;
  }

  .region--breadcrumb .screen {
    justify-content: flex-start;
    max-width: none;
    padding: 0 15px;
    max-width: none;
  }

  .breadcrumb__list {
    padding: 0px;
    margin: 0;
  }

  .breadcrumb {
    margin: 0;
    padding: 0px;
  }

  .category ul li a {
    padding: 5px 10px;
    font-size: 1.1em;
    margin: 0 10px;
  }

  .category {
    float: none;
    text-align: center;
  }

  .banner_title .screen {
    flex-direction: column;
  }

  .banner_title .screen>.cover_photos {
    width: 100%;
    height: auto; display:none
  }

  .banner_title .screen>* {
    width: 100%;
    font-size: 21px;
  }

.banner_title {
  min-height: 110px;
  padding: 20px 0 0 0; margin:0;
}

.banner_title .screen {
  padding: 0 20px;
  min-height: 0px;
  gap: 10px;
}

  .banner_title h1 {
    padding: 0;
    margin: 0;
    z-index: 1
  }

  .banner_title::afterr {
    background-size: 70% auto
  }

  #nonbanner_title {
    background: url(../images/web/bg_news.png) no-repeat bottom center;
  }

  #nonbanner_title h1 {
    padding: 120px 0 30px 5%;
    color: var(--main-color);
    text-shadow: 0 0 0;
  }

  #nonbanner_title h1::before {
    background: var(--main2-color);
    bottom: 43px;
  }

  .sch_highlights b {
    font-size: 17px;
    line-height: 21px;
    margin: 0
  }

  .sch_highlights ul li span,
  .sch_highlights .boxing {
    font-size: 15px;
    padding: 10px 0;
  }

.banner_title h1 span {
  color: #fff;
  font-size: 27px;
  line-height: 32px;
}
  .region--hero {
    display: flex !important;
    flex-direction: column !important;
    gap: 20px; padding:5px 0 0 0 !important; 
    width: 100%;
  }

  .region--hero::before {
    width: 80px;
    bottom: 30px;
  }

  .region--hero>*:nth-child(1),
  .region--hero>*:nth-child(2),
  .region--hero>*:nth-child(3) {
    grid-column: auto;
    grid-row: auto;
    width: 100% !important;
  }

  /* Swiper responsive */
  .swiper-slide {
    width: 100% !important;
  }

  #block_latest-news::before {
    display: none
  }


    /* header */
  #logo img {
    padding: 10px 0;
  }

  /* language */
  .right_top {
    align-items: center;
  }

  #lang ul {
    background: none
  }

  #lang ul li {
    margin: 0 0;
    background: none;
  }

  #lang ul li a {
    font-size: 0;
    color: transparent;
    background: none;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }

  #lang ul li a::before {
    margin: 0;
  }

  #lang {
    position: relative;
    transform: translateY(-3px);
  }

  #lang ul li a:hover {
    padding-right: 0;
    background: none;
  }


  /* button group  */

  .btn-group__list {
  max-width: 480px;left: 0;
    right: 0;
    margin: auto; gap:30px
}
    .btn-group__content span {
    font-size: 20px;
  }

  .btn-group__icon {
    height: 120px;
    margin-right: 10px;
  }

    .btn-group {
    padding: 0 0px; margin:0; width:100%;
    overflow: visible;
  }

  .btn-group__decoration {
    width: 80px;
  }

  .btn-group__decoration--left {
    left: 2%;
  }

  .btn-group__decoration--right {
    right: 2%;
  }

  .btn-group__list {
    flex-direction: column;
    align-items: center;
  }

  .btn-group__item {

    padding: 0;
  }

  .btn-group__item .btn-group__content::before,
  .btn-group__item .btn-group__content::after {
    position: absolute;
    transform: scale(0.3);
  }

  .btn-group__item:nth-child(1) .btn-group__content::before {
 
top: 30%;
  }

  .btn-group__item:nth-child(1) .btn-group__content::after {

    top: 25%;
  }

  .btn-group__item:nth-child(2) .btn-group__content::before,
  .btn-group__item:nth-child(2) .btn-group__content::after {

    top: 50%;
    transform: translateY(-50%) scale(0.3);
  }

  .btn-group__item:nth-child(3) .btn-group__content::before,
  .btn-group__item:nth-child(3) .btn-group__content::after {

    top: 30%;
    transform: scale(0.3);
  }


/* 辦學目標 */
    .motto_content .text .desc::after {
    width: 200px;
    right: -50px;
    bottom: -10px;
  }

  .motto_content .text .title_motto::after {
    height: 80px;
    right: -15px;
    bottom: 5px;
  }

  .motto_content {
    flex-direction: column;
    align-items: flex-start;margin-bottom: 20px;
  }
.campus_area .campus_left .icon{ width:30% ; gap: 0; margin: 0 15px;}
  .motto_content .image {
    flex: 0 0 auto;
    width: 100%;
    margin: 0;
  }
.useful-links {
  padding: 0 20px 20px 20px;
}
  
.campus_area .campus_buttons .btn {

  padding: 10px 15px; text-align:center
}
  .campus_area {
  padding: 20px 0;
}
.campus_area .campus_left .icon img.kan {
  width: 70px;
}
  .motto_content .text {
    flex: 0 0 auto;
    width: 100%;
    margin: 10px 0 0 0;
    padding: 10px;
    font-size: 16.5px;
    overflow: hidden;
  }

  /* campus */
  .campus_area .campus_left .title {
    font-size: 26px;
  }

  .campus_area .campus_gallery {
    grid-template-columns: 1fr;
  }

  .campus_area .campus_buttons {
    gap: 15px;
  }

  .campus_area .campus_buttons .btn {
    width: 100%;
  }

  .campus_area .campus_grid {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .campus_area {
    padding-top: 0;
  }

  .campus_area .campus_left {

    flex-direction: row;
    padding-top: 0;
  }
	.home_zoneA { background: #ffffffe5}
	.home_zoneA::before {height: 280px;  top: auto;  right: 0;z-index: -1;  bottom: auto;  margin: auto;}
	#block_activity .blocktitle {padding: 0 0 0 110px;}
	#block_activity .blocktitle img {width: auto;
  height: 110px;}
	
	
.award_title { width: 100%;display: flex;    align-items: center;}	
.award_students	{ width: 100%;display: flex;
    align-items: center;}	
	
.tpl-info li:first-child .content .award_title::before {margin-bottom: 0 !important;font-size: 20px;border-radius: 0;padding: 10px}
.tpl-info li:first-child .content .award_students::before {margin-bottom: 0 !important;font-size: 20px;border-radius: 0;padding: 10px }	
	
.tpl-info li .content .award_title::before {content: "獎項名稱";  text-align: center;
  display: block;  background-color: #f7e967;  text-align: left;font-size: 18px;border-radius: 0;padding: 10px }	
	
.tpl-info li .content .award_students::before {  content: "得獎學生";  display: block;  background-color: #f7e967;  text-align: left;font-size: 18px;border-radius: 0;padding: 10px 
}	
	
.award_students p {width: 70%;}
	
.award_title	 b {   text-align: left !important;    width: 70%;    flex: auto !important;  }

}

@media screen and (max-width: 500px) {
  .screen {
    padding: 0 10px;
    max-width: none;
    width: 100%;
  }

  .main-menu-btn {
    background: var(--main-color);
    border-radius: 5px;
  }

  .contact_info {
    padding: 0 10px;
    align-items: flex-start;
  }

  .contact_info .logo-mask {
    width: 100%;
  }

  .contact_info .logo_right {
    max-width: 100px;
    right: 0;
    bottom: 0;
  }

  .contact_info ul li {
    font-size: 14px;
    line-height: 19px; flex-direction: row;
  }

  .contact_info ul li span {
    background: url(../images/web/icon_address.png) no-repeat left center;
    background-size: 20px 20px;
    padding: 0 0 0 28px;
    min-width: auto;
  }

  .contact_info ul li+li span {
    background: url(../images/web/icon_tel1.png) no-repeat left center;
    background-size: 20px 20px;
    padding: 0 0 0 28px;
    min-width: auto;
  }

  .contact_info ul li+li+li span {
    background: url(../images/web/icon_fax.png) no-repeat left center;
    background-size: 20px 20px;
    padding: 0 0 0 28px;
    min-width: auto;
  }

  .contact_info ul li+li+li+li span {
    background: url(../images/web/icon_email.png) no-repeat left center;
    background-size: 20px 20px;
    padding: 0 0 0 28px;
    min-width: auto;
  }

  .contact_links {
    flex-direction: row;
    justify-content: flex-start;
    gap: 10px;
    padding-right: 80px;
  }

  .contact_links .btn {
    flex: 0 0 50%;
    font-size: 12px;
    padding: 8px 5px;
  }

  /* banner */
    .banner_title h1::before {
    width: 68px;
    height: 68px;
  }

  /* button group  */
  .btn-group__item .btn-group__content::before,
  .btn-group__item .btn-group__content::after {
    display:  none;
  }

  /* motto */
  .motto_content .text .desc::after {
    width: 200px;
    right: 0;
    bottom: -10px;
    z-index: -1;
  }

  .motto_content .text .title_motto::after {
    height: 80px;
    right: -15px;
    bottom: 5px;
    display: none;
  }



}